#include<bits/stdc++.h>
using namespace std;
int main(){
	ios::sync_with_stdio(0);cin.tie(0);
	freopen("dfs.in","r",stdin);
	freopen("dfs.out","w",stdout);
	cin>>_;
	while(_--){
		cin>>n>>r;
		for(i=1;i<=n;i++)cin>>a[i],c[i]=node(a[i],i);
		sort(c+1,c+n+1);
		for(i=1;i<=n;i++){
			vis[c[i].p]=1;
			
		}
	}
}
